# OdinsWatch 
* A stalwart shield against cheating in Valheim. Real-time detection, proactive prevention. Fair competition, secure servers, enhanced gaming experience.
## Features
#### Quick Connect Settings:

* Configure connection parameters like host address, port, password, etc., for swift connection to designated Valheim servers.
#### Global Settings:

* Configuration lock: Client cannot alter configurations after server synchronization.
* Debug mode: Enables display of debug logs.
* Register website account information: Required for obtaining account passwords from www.aopk.cn.
#### Monitoring and Detection Features:

* File monitoring toggle: Globally enables or disables file monitoring, supporting client-side file settings.
* Program monitoring toggle: Enables or disables modifier detection, e.g., Wind Spirit Moon Shadow, CheatEngine, FLiNGTrainer, etc.
* Attribute detection toggle: Enables or disables player attribute detection.
#### Handling Rules:

* Configuration of handling rules for different anomaly types, including program monitoring, file monitoring, and character attribute monitoring.
* Global broadcast: Whether to send server-wide broadcasts upon detecting player anomalies.
#### File Monitoring Settings:

* Configuration of server and client-side monitored folders.
* Character rules: Specifies files exempt from validation for particular characters.
#### Attribute Detection Settings:

* Configuration of detection limits for multiple character attributes, including total damage, physical damage, elemental damage, etc.
* Toggle for different cheating behaviors, such as no-clip mode detection, unlimited health detection, etc.
#### Game Speed-Up Detection:

* Game speed-up detection toggle: Enables or disables game speed-up detection.
* Configuration of limits and tolerance for game speed-up detection.

### Installation via [BepInEx](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)

* Copy OdinsWatch.dll to the BepInEx/plugins folder.
* Run the game to generate configuration files; register [on the workshop](https://www.aopk.cn/user-sign?tab=signup&redirect_to=https%3A%2F%2Fwww.aopk.cn%2F) account details in the configuration file for extended duration (Note: Website registration is only available within China).

### About
* OdinsWatch  - requires account login for extended usage
* Unregistered: 24-hour trial upon each run
* Regular user login: 3 hours per run, server restart resets the timer
* Sponsored member login: 15 days per run, server restart resets the timer
* Advanced sponsored member login: Unlimited usage
* This approach indeed seems ironic, and I admire all free-sharing mod developers.

## Disclaimer
I don't claim this will prevent all cheating, especially from those with technical skills surpassing average users.
Therefore, if you find clever ways to bypass this, you can either help fix it or choose not to claim it as an issue/error. This mod attempts to deter and aid in maintaining the quality of life on a server that prefers to minimize cheating.
The game is client-driven, and I cannot inspect everything the client might do.

Please report issues on our workshop: [Error Report](https://www.aopk.cn/21247.html) or join our QQ group: [157845336](http://qm.qq.com/cgi-bin/qm/qr?_wv=1027&k=iH3UzzFiTf76CSXLtR2_0O8DGRVixNlH&authKey=F%2B9EekOVV04vmlyuGn4x9yXCS%2Bm2uD6r6XkfIli8L9YE42r%2FzenEBwWm1D9tj3Px&noverify=0&group_code=157845336) by 蝼蚁梦